unit Unreg1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, AVLockGold, jpeg, Spin;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    AVLock1: TAVLockGold;
    rbmain: TRadioButton;
    rbmod: TRadioButton;
    Memo1: TMemo;
    EdMod: TSpinEdit;
    Label6: TLabel;
    Memo2: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure FormCreate(Sender: TObject);
    procedure rbmainClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var m:byte;
begin
  AVLock1.Clear;
  AVLock1.read;
  AVLock1.AppCode:=strtoint(Edit1.Text);

  if rbmain.checked then m:=0 else m:=EdMod.Value;
  if AVLock1.erasereg(m)
  then begin
   if (m=0) then ShowMessage('Application unregistered')
   else ShowMessage('Module '+inttostr(m)+' unregistered');
  end else begin
    if (m=0) then ShowMessage('Registration for AppCode '+Edit1.Text+' not found')
    else ShowMessage('Registration for module '+inttostr(m)+' in AppCode '+Edit1.text+' not found');
  end;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if not (key in [#8,'0'..'9']) then key:=#0;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ClientHeight:=Image1.Top+Image1.Height+2;
  ClientWidth:=memo1.Left+memo1.Width+20;
end;

procedure TForm1.rbmainClick(Sender: TObject);
begin
  edmod.visible:=rbmod.Checked;
end;

end.
